# -*- coding: utf-8 -*-

from flask_wtf import Form
from wtforms import StringField, PasswordField, SelectField
from wtforms.fields.html5 import EmailField
from wtforms.validators import DataRequired

import shared
from config import AppConfig

import forms.validators

class Login(Form):
	user_name = StringField('user_name', validators=[DataRequired()])
	password = PasswordField('password', validators=[DataRequired()])


class RecoverPassword(Form):
	email = EmailField('email', validators=[DataRequired()])


class ChangeLanguage(Form):
	language = SelectField(
		'language',
		choices=AppConfig.AVAILABLE_LANGUAGES,
		validators=[DataRequired(message=shared.BabelText('required_field'))])


class ChangePassword(Form):
	current_password = PasswordField(
		'current_password',
		validators=[DataRequired(message=shared.BabelText('invalid_profile_change_password_form'))])

	new_password = PasswordField(
		'new_password',
		validators=[
			DataRequired(message=shared.BabelText('invalid_profile_change_password_form')),
			forms.validators.CustomLength(min=6, message='invalid_profile_change_password_length_form')])
	
	confirm_password = PasswordField(
		'confirm_password',
		validators=[
		DataRequired(message=shared.BabelText('invalid_profile_change_password_form')),
			forms.validators.CustomLength(min=6, message='invalid_profile_change_password_length_form')])
