# -*- coding: utf-8 -*-

import datetime

from wtforms import DateTimeField

class DateField(DateTimeField):
    """
    Same as DateTimeField, except stores a `datetime.date`.
    """
    def __init__(self, label=None, validators=None, format='%Y-%m-%d', message=None, **kwargs):
        super(DateField,self).__init__(label, validators, format, **kwargs)
        self.message = message

    def process_formdata(self, valuelist):
        if valuelist:
            date_str = ' '.join(valuelist)
            try:
                self.data = datetime.datetime.strptime(date_str, self.format).date()
            except ValueError:
                self.data = None
                raise ValueError(self.message)

