# -*- coding: utf-8 -*-

import os

class ServerConfig(object):
	DEBUG = False
	TESTING = False 
	LOGIN_DISABLED = False
	SECRET_KEY = os.urandom(24)

	BABEL_DEFAULT_LOCALE = 'es'

	SQLALCHEMY_DATABASE_URI = 'postgresql+psycopg2://photonics:{DATABASE_PASSWORD}@/photonics'
	SQLALCHEMY_TRACK_MODIFICATIONS = False
	SQLALCHEMY_ECHO = False


class AppConfig(object):
	AVAILABLE_LANGUAGES = [('es', 'Español'), ('en', 'English')]
	DEFAULT_LANGUAGE = 'es'

	APP_DIRECTORY = '/var/www/photonics/'
	BACKUPS_DIRECTORY = '/var/www/photonics/backups/'
	BABEL_DIRECTORY = '../babel/'
	IMAGES_DIRECTORY = '../images/'
	FILES_DIRECTORY = '../files/'

	SITE_NAME = { 'es': 'Laboratorio de Fotónica', 'en': 'Photonics laboratory' }
	SITE_SHORT_NAME = { 'es': 'Lab. de Fotónica', 'en': 'Photonics lab.' }

	MAIL_SERVER = 'smtp.unavarra.es'
	MAIL_PORT = 587
	MAIL_USERNAME = 'user'
	MAIL_PASSWORD = 'password'

	MAIL_FROM = 'user@unavarra.es'

	RECOVER_PASSWORD_SUBJECT = {
		'es': 'Su contraseña ha sido reseteada',
		'en': 'Your password has been reset'
	}

	RECOVER_PASSWORD_CONTENT = {
		'es': 'Su nueva contraseña para el usuario {0} es {1}',
		'en': 'Your new password for the user {0} is {1}'
	}

	NEW_USER_SUBJECT = {
		'es': 'Se ha creado su cuenta',
		'en': 'Your account has been created'
	}

	NEW_USER_CONTENT = {
		'es': 'Su nombre de usuario es {0} y su contraseña es {1}',
		'en': 'Your username is {0} and your password is {1}'
	}
