function makeCollapser(node, icon) {
	return function(e) {
		if (e === 'force') {
			node.classList.remove('collapsed');
			icon.classList.remove('fa-chevron-down');
			icon.classList.add('fa-chevron-up');
		} else {
			e && e.preventDefault() && e.stopPropagation();

			node.classList.toggle('collapsed');
			['fa-chevron-down', 'fa-chevron-up'].forEach(function(v) {
				icon && icon.classList.toggle(v);
			});
		}
	}
}

function createElement(tagName, attributes) {
	var element = document.createElement(tagName);
	
	if (typeof attributes === 'object') {
		attributes.id && (element.id = attributes.id);
		attributes.classes && (element.className = attributes.classes.join(' '));

		Object.keys(attributes).filter(function(v) { 
			return ['id', 'classes'].every(function(w) {
				return v != w;
			});
		}).forEach(function(v) {
			element.setAttribute(v, attributes[v]);
		});
	}

	return element;
}